> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List mailboxes

> Lists the caller-owned mailboxes with page-based pagination.



## OpenAPI

````yaml /api-reference/mobilerun-mailbox.yaml get /mailboxes
openapi: 3.1.0
info:
  title: Mobilerun Mailbox
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /mailboxes:
    get:
      tags:
        - Mailboxes
      summary: List mailboxes
      description: Lists the caller-owned mailboxes with page-based pagination.
      operationId: listMailboxes
      parameters:
        - in: query
          name: page
          required: false
          schema:
            default: 1
            exclusiveMinimum: 0
            type: integer
        - in: query
          name: pageSize
          required: false
          schema:
            default: 10
            exclusiveMinimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MailboxList'
          description: Mailboxes retrieved
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const mailboxes = await client.mailboxes.list();

            console.log(mailboxes.items);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            mailboxes = client.mailboxes.list()
            print(mailboxes.items)
components:
  schemas:
    MailboxList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Mailbox'
          type: array
        pagination:
          $ref: '#/components/schemas/Pagination'
      required:
        - items
        - pagination
      type: object
    Mailbox:
      properties:
        address:
          example: mx_7k3q9p2m4v8d@inbox.example
          type:
            - string
            - 'null'
        billingMode:
          $ref: '#/components/schemas/MailboxBillingMode'
        cancelAtPeriodEnd:
          type: boolean
        checkoutExpiresAt:
          format: date-time
          type:
            - string
            - 'null'
        checkoutUrl:
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          type: string
        currentPeriodEnd:
          format: date-time
          type:
            - string
            - 'null'
        id:
          format: uuid
          type: string
        inboundMessages:
          $ref: '#/components/schemas/MailboxInboundMessagesUsage'
        label:
          maxLength: 100
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/MailboxStatus'
      required:
        - id
        - address
        - label
        - status
        - billingMode
        - cancelAtPeriodEnd
        - checkoutUrl
        - checkoutExpiresAt
        - currentPeriodEnd
        - createdAt
        - inboundMessages
      type: object
    Pagination:
      properties:
        hasNext:
          type: boolean
        hasPrev:
          type: boolean
        page:
          minimum: 1
          type: integer
        pageSize:
          minimum: 1
          type: integer
        pages:
          minimum: 0
          type: integer
        total:
          minimum: 0
          type: integer
      required:
        - hasNext
        - hasPrev
        - page
        - pageSize
        - pages
        - total
      type: object
    MailboxBillingMode:
      enum:
        - rent
        - included
      type: string
    MailboxInboundMessagesUsage:
      properties:
        exhausted:
          type: boolean
        included:
          minimum: 0
          type: integer
        resetsAt:
          format: date-time
          type:
            - string
            - 'null'
        used:
          minimum: 0
          type: integer
      required:
        - used
        - included
        - exhausted
        - resetsAt
      type: object
    MailboxStatus:
      enum:
        - provisioning
        - awaiting_payment
        - active
        - cancel_scheduled
        - archived
        - billing_error
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````